No edit summary
Tags: Mobile edit Mobile web edit
No edit summary
Tags: Mobile edit Mobile web edit
Line 16: Line 16:
display: none;
display: none;
}
}
/* Default styles [[File:Mobile-header.png]] */
:root {
--mobile-header-background: url('https://structorica.wiki/images/Mobile-header.png');
--mobile-header-background-color: #58B5FE;
--content-background-color: #E6EFF4;
--content-text-color: #202122;
}
/* ------------------------------------------ DARK THEME -------------------------------------*/
:root .stw-theme-dark {
    --archive-box-background-color: #282828;
--archive-box-border-color: #444;
    --mobile-header-background: url('https://structorica.wiki/images/Dark-mobile-header.png');
--mobile-header-background-color: #011C31;
--content-background-color: #2b2f39;
--content-text-color: #e6e6e6;
--base-background-color: #13191c;
color: var(--content-text-color);
}
body.stw-theme-dark :not(.infobox-title) a:not(.new,.mw-selflink,.menu2-text a),
body.stw-theme-dark .jslink,
body.stw-theme-dark .toctogglelabel,
body.stw-theme-dark .mw-collapsible-text,
body.stw-theme-dark .vector-menu-dropdown .mw-list-item a,
body.stw-theme-dark .mw-mmv-post-image a,
body.stw-theme-dark #mw-mf-page-left ul.hlist li a{
    color: #90c0fe;
}
body.stw-theme-dark .mw-body-content .hlist li:not(:last-child)::after {
    background-color: #FFF;
}
body.stw-theme-dark .mw-message-box,
body.stw-theme-dark .mw-body, h1, h2, h3, h4, h5, h6,
body.stw-theme-dark .mw-ui-input {
    color: var(--content-text-color);
}
body.stw-theme-dark .mw-body a.new, body.stw-theme-dark .mw-mmv-post-image a.new {
    color: #ffa4a4;
}
body.stw-theme-dark .branding-box img,
body.stw-theme-dark .minerva-footer-logo img {
filter: revert;
}
/* [[File:Sort_both.svg]], [[File:Sort_down.svg]], [[File:Sort_up.svg]] */
body.stw-theme-dark .client-js .sortable:not(.jquery-tablesorter) > * > tr:first-child > th:not(.unsortable),
body.stw-theme-dark .jquery-tablesorter th.headerSort {
background-image: url('filepath://Sort_both.svg');
}
body.stw-theme-dark .jquery-tablesorter th.headerSortDown {
background-image: url('filepath://Sort_down.svg');
}
body.stw-theme-dark .jquery-tablesorter th.headerSortUp {
background-image: url('filepath://Sort_up.svg');
}
/* CodeEditor search color fixes for dark theme */
body.stw-theme-dark .ace_search {
background-color: #353535;
border: 1px solid var(--ooui-border);
border-top: 0;
border-right: 0;
color: #e6e6e6;
}
/* CodeEditor search input field color fixes for dark theme */
body.stw-theme-dark .ace_search_field {
border-radius: 3px 0 0 3px;
background-color: #414141;
color: #e6e6e6;
border: 1px solid var(--ooui-border);
border-right: 0;
}
/* CodeEditor search button color fixes for dark theme */
body.stw-theme-dark .ace_searchbtn {
border: 1px solid var(--ooui-border);
background: #414141;
color: #e6e6e6;
border-right: 0;
border-left: 1px solid var(--ooui-border);
}
body.stw-theme-dark .ace_button {
border: 1px solid var(--ooui-border);
color: #e6e6e6;
}
/*----------------------------------------------------------------------------------------*/
/** Minecraft skin **/
.overlay.search-overlay,
.overlay.editor-overlay {
padding-top: 90px;
}
/* Grass header background */
.skin-minerva #mw-mf-page-center .header-container,
.skin-minerva .search-overlay .header-container {
    position: relative;
    background: var(--mobile-header-background) left bottom repeat-x,linear-gradient(0deg,var(--content-background-color) 50%,var(--mobile-header-background-color) 50%);
    background-size: 48px auto;
    right: 0;
    left: 0;
    height: 96px;
}
.skin-minerva .header-container {
    background-color: transparent;
    box-shadow: none;
}
.overlay-header,
.minerva-header {
padding-top: 7px;
}
/* Hide grass when editing on small screens to maximise editing space */
@media all and (max-width: 999px) {
.overlay-enabled .editor-overlay {
padding-top: 3.35em;
}
.overlay-enabled .overlay.editor-overlay .header-container:after {
bottom: 0;
background-position: left bottom -29px;
}
}
.overlay .overlay-header-container.header-container {
z-index: 2;
}
.minerva-header .branding-box {
    opacity: 1;
}
.notification-count {
background: none;
}
/* Background color */
.overlay-enabled,
.overlay-content,
.mw-body {
background-color: var(--content-background-color);
}


/* Hide page title on all main pages */
/* Hide page title on all main pages */